View Issue Details

IDProjectCategoryView StatusLast Update
0017613MediaMonkey 5Syncpublic2021-03-23 23:51
Reporterpeke Assigned To 
PriorityurgentSeveritycrashReproducibilityalways
Status closedResolutionfixed 
Target Version5.0Fixed in Version5.0 
Summary0017613: Sync: Apple device d_iPod sync Fail with a crash (due to Eureka false positive report)
DescriptionUser have issues to sync both iPod Classic 160GB (2009) running Rockbox firmware and iPod Nano (iPod Nano 7G version = 1.0.4 Model: MD477LL from 2012).

Steps to reproduce crash on sync:
1. Connect one by one
2. Initiate sync on device and after approximately 2k of tracks ot of 23k it crashes

Crash logs uploaded to FTP, some of LOG IDs are 204D0000
TagsNo tags attached.
Fixed in build2326

Relationships

related to 0017654 feedbackpetr Issues with new version of Eurekalog (regression) 

Activities

Ludek

2021-03-02 19:58

developer   ~0062191

Last edited: 2021-03-02 19:59

View 2 revisions

Analyzing the '2021-03-01 Ipod crash sync.rar' from FTP, but it includes just several screenshots and 'new 1.txt' file that contains incomplete 204D0000 Eureka log (callstacks are missing), in addition the log 204D0000 has failed to submit (as it is not here).

Could you attach standard debug log (generated using DbgView) of the full sync task and idealy also accompanied ELP so that we have more info?

Ludek

2021-03-04 15:17

developer   ~0062242

Last edited: 2021-03-04 15:18

View 2 revisions

In the last crash log from user "turtle" there is "Bitmap image is not valid." exception while copying image file to a device during sync.
But this is handled exception that Eureka shouldn't catch and shouldn't interrupt the sync at all.
To be found why Eureka is catching even handled exceptions somethimes :-/

Workaround is to use the release build that is without Eureka starting with 2317 (issue #17625 )

Ludek

2021-03-04 16:12

developer   ~0062243

Assigned to Petr to update to the newest version of Eureka 7.9 : https://blog.eurekalog.com/2020/09/eurekalog-7-9.html?utm_source=feedburner&utm_medium=feed&utm_campaign=Feed:+EurekaLogDelphiBuilder+(EurekaLog+for+Delphi+and+C%2B%2B+Builder+news)

Currently we use older 7.0.7.1

Ludek

2021-03-08 21:20

developer   ~0062290

Eureka updated in build 2321

Ludek

2021-03-17 18:02

developer   ~0062486

Last edited: 2021-03-17 18:02

View 2 revisions

Changing to fixed in 2326 (relies on 0017670 fixed in 2326)

peke

2021-03-18 12:55

developer   ~0062501

Verified 2325 Release and also using 2326 Debug,

Synced 7.6k+ tracks to iPod it each version, total 14k+ tracks.

peke

2021-03-23 23:51

developer   ~0062553

Verified by another user in 2327

Synced 15k at single sync (NOTE: Device needed to be factory reset as iTunes started and crashed while corrupting library on iPad at point of crash on around 9k of tracks)